Ext.define('cxd.checkBoxfield', {
	extend : 'Ext.panel.Panel',
	alias : 'widget.CheckBox_plug',
	fieldText : '',
	boxLabel:'',
	fieldName : '',
	checked:true,
	initComponent : function(config) {
		var me = this;
		Ext.apply(me, {
			border:0,
			layout:'fit',
			items :[{
				xtype:'checkboxfield',
				fieldLabel:me.fieldText,
				boxLabel:me.boxLabel,
				checked:me.checked,
				listeners:{
					change:function(e,value){
						e.nextSibling().setValue(value);
					}
				}
			},{
				xtype:'textfield',
				name:me.fieldName,
				hidden:true,
				listeners:{
					afterrender:function(e){
						e.setValue(e.previousSibling().getValue());
					},
					change:function(e){
						e.previousSibling().setValue(e.getValue());
					}
				}
			}]
		});
		this.callParent(arguments);
	}
});